Firefox hang at quit
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_8; en-US) AppleWebKit/532.3 (KHTML, like Gecko) Chrome/4.0.223.11 Safari/532.3
Build Identifier: Firefox 3.5.4 MacOSX

I tried to quit Firefox (took some CPU usage, about 20% for no real reason, was still responsible and usable though). After I selected quit, the FF window disappeard and CPU usage went up to 100%.

I waited for about 5 minutes and forced the quit then. This is the report.


Reproducible: Didn't try